Page MenuHomePhabricator

Request to add two new namespaces in hu.wiktionary
Closed, ResolvedPublic

Description

Author: iesguard-books

Description:
Hungarian Wiktionary needs two new namespaces: Appendix (Függelék in Hungarian) and Index (Index in Hungarian) with their appropriate talk pages (Vitalap in Hungarian).

See the discussion here:

http://hu.wiktionary.org/wiki/Wikisz%C3%B3t%C3%A1r:T%C3%A1rsalg%C3%B3#F.C3.BCggel.C3.A9k_.C3.A9s_Index_n.C3.A9vterek_bekapcsol.C3.A1sa

Thank you.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz45205

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:41 AM
bzimport set Reference to bz45205.
bzimport created this task.Feb 20 2013, 7:36 PM

Taking this bug.

I see Hungarian words are appended by "vita", and English words (or proper names?) by "-vita".

So talk namespaces should be Függelékvita and Indexvita?

Gerrit change 50159 (currently a draft, pending comment 2 resolution).

iesguard-books wrote:

Every talk page is called "Vitalap" on the talk page's tab regardless of the namespace. 'Vitalap' is a compound word = vita (discussion) + lap (page). So I think the talk pages should be called Vitalap in both cases.

iesguard-books wrote:

Just one more comment: If you need a unique internal name for the talk namespaces, then Függelékvita and Indexvita sound fine, but on the tab that users see, it should be Vitalap.

There are two names, both visible on the wiki:

  • the tab name, Vitalap.
  • the namespace name, like [[hu:wikt:Wikiszótár-vita:Irányelvek]] or [[hu:wikt:Kategóriavita:magyar főnevek]]

Thank you to b_jonas, which helps me to confirm the l10n vita/-vita stuff.

Gerrit change 50159 published.

Deployed by Reedy.

iesguard-books wrote:

Thanks. I still don't see the new namespaces. Does it take some time?

iesguard-books wrote:

I can see them now. Thank you.

iesguard-books wrote:

There is a big problem. All pages that started with "Függelék:" (about 150-200) disappeared and I am not able to recover them. I opened a new bug (https://bugzilla.wikimedia.org/show_bug.cgi?id=45383) since this is now closed.

  • Bug 45383 has been marked as a duplicate of this bug. ***

(In reply to comment #12)

I opened a new bug
(https://bugzilla.wikimedia.org/show_bug.cgi?id=45383) since this is now
closed.

Please reopen the configuration bug in such case, it's easier for tracking.

iesguard-books wrote:

Ok, I'll do that next time in similar cases. Thanks for reopening it. Let me know if you need more information from me.

I ran namespaceDupes, so should be alright now..

iesguard-books wrote:

Thank you. I can see the pages. But are they really Appendices? Or are they still pages? If they are still pages, how do I convert them to Appendices?

iesguard-books wrote:

Second question: There is one page that gives me an error: "http://hu.wiktionary.org/wiki/F%C3%BCggel%C3%A9k:". If this cannot be recovered, it is probably ok, it contained only a summary of links. However, it is still visible in the [Kategória:Függelékek] category. Please take a look and let me know if that page can be recovered or if not, can it be removed from the category. Otherwise, it will be too confusing.

iesguard-books wrote:

The URL I gave above contains a colon at its end, but when I clicked on the link, it was not included. Please make sure you add the colon at the end, otherwise it will take you to a deleted page.

iesguard-books wrote:

I reopened this ticket. What can be done with the single page called Függelék: (with a colon at the end) that stayed in the Main namespace after namespaceDupes ran? When I click on it, it returns a 'Hibás cím' (Bad Address) error. All the other Main namespace pages prefixed with Függelék: were correctly moved to the new Függelék namespace. Thanks.

Reedy added a comment.May 16 2013, 9:24 PM

It's an invalid title as it's just a namespace with no title part.

What do you want doing with it? Does it actually have anything of use on it?

iesguard-books wrote:

What are the options?

Can you restore the page so it does not return a Bad Address error? If the content cannot be restored (which would be OK), can you delete that single bad page without causing issues in the "Függelék:" (Appendix) namespace?

iesguard-books wrote:

Thank you for fixing it!